Bug 64800 - Hotplug subsystem not properly installed.
Hotplug subsystem not properly installed.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: hotplug (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-12 19:44 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 08:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-12 19:44:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; T312461)

Description of problem:
Although the hotplug rpm is installed, the file '/etc/rc.d/init.d/hotplug' is 
missing.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Reboot
2. Watch as subsystems are started
3. Note that hotplug says it starts ok but does not.

Actual Results:  The lights on my Alcatel Speedtouch USB do not come on.  

Expected Results:  Normally (under 7.2) as soon as hotplug starts the lights 
start flashing.

Additional info:

Copying '/etc/rc.d/init.d/hotplug' from a 7.2 machine and 
linking /etc/rc.d/rc3.d/S07hotplug and /etc/rc.d/rc3.d/K07hotplug does not 
solve the problem.  During boot up, hotplug says it starts ok but does not.
Comment 1 Trond Eivind Glomsrxd 2002-05-13 10:43:24 EDT
We've never shipped any hotplug initscript, we do it as part of rc.sysinit. The
script is not missing.
Comment 2 Brock Organ 2002-05-14 09:28:58 EDT
I am reopening this bug, there are two issues raised by the report:

1) hotplug initscript missing question
2) hotplug is not working for reporter's "Alcatel Speedtouch USB"

ISSUE ONE 

From the hotplug man page:

"hotplug  agents aren't necessarily called only by the kernel though.  While the
OS is initializing, the "cold-plugging" case, the hotplug script in
/etc/init.d/hotplug is invoked to make sure that all device connected at boot
are  properly configured, applying the same rules as if they were connected later."

and later in the man page:

"FILES
       /proc/sys/kernel/hotplug   specifies hotplug program path
       /sbin/hotplug              hotplug program (default path name)
       /etc/hotplug/*             hotplug files
       /etc/hotplug/NAME.agent    hotplug subsystem-specific agents
       /etc/hotplug/NAME*         subsystem-specific files, for agents
       /etc/hotplug/NAME/*        driver setup scripts, invoked by agents
       /etc/init.d/hotplug        hotplug system service script"

so there is an initscript mentioned in the man pages, however, there is not an
/etc/init.d/hotplug shipped in the hotplug packages in 7.2 or 7.3:

$ diff -Naur 7.2-hotplug-pkg.list 7.3-hotplug-pkg.list
--- 7.2-hotplug-pkg.list Tue May 14 09:19:52 2002
+++ 7.3-hotplug-pkg.list Tue May 14 09:19:55 2002
@@ -1,18 +1,20 @@
 /etc/hotplug
 /etc/hotplug/blacklist
 /etc/hotplug/hotplug.functions
+/etc/hotplug/ieee1394.agent
 /etc/hotplug/net.agent
+/etc/hotplug/pci
 /etc/hotplug/pci.agent
 /etc/hotplug/pci.rc
+/etc/hotplug/usb
 /etc/hotplug/usb.agent
 /etc/hotplug/usb.distmap
 /etc/hotplug/usb.handmap
 /etc/hotplug/usb.rc
 /etc/hotplug/usb.usermap
 /sbin/hotplug
-/sbin/usbmodules
 /usr/sbin/hotplugctl
-/usr/share/doc/hotplug-2001_04_24
-/usr/share/doc/hotplug-2001_04_24/ChangeLog
-/usr/share/doc/hotplug-2001_04_24/README
+/usr/share/doc/hotplug-2002_04_01
+/usr/share/doc/hotplug-2002_04_01/ChangeLog
+/usr/share/doc/hotplug-2002_04_01/README
 /usr/share/man/man8/hotplug.8.gz

so at the very least the man page documentation should be changed to not
indicate a hotplug initscript ...

ISSUE 2

the "Alcatel Speedtouch USB" device is not working ... can you run hotplug from
the command line?  does the command succeed? is the device recognized? does the
command exit with a success exit code?
Comment 3 Brock Organ 2002-05-15 08:50:11 EDT
Colin (ccoe),

Your email to me referenced package hotplug-core-2001_09_19-1.i386.rpm, not the
packages hotplug-2001_04_24-11.i386.rpm (7.2), or hotplug-2002_04_01-3.i386.rpm
(7.3) ... 

in an effort to be clear (I just want to make sure I understand you :) ), were
you having troubles on Red Hat Linux 7.3 with hotplug-core-2001_09_19-1.i386.rpm
and not the standard hotplug packages shipped with Red Hat Linux 7.2 or 7.3?

If so, you indicated you tried the hotplug package with 7.2 ... Did that work
for you then? :)
Comment 4 Brock Organ 2002-05-15 08:58:28 EDT
For Issue #1 above, from looking at the changelog it seems there were issues
with the initscript (hence it was removed/not present in the 7.2 & 7.3 packages
shipped with 7.2 and 7.3):

excerpts:

* Tue Mar 20 2001 Trond Eivind Glomsrxd <teg@redhat.com>
- remove the initscript, usbdevfs is now initialized before the controller

* Thu Feb 22 2001 Trond Eivind Glomsrxd <teg@redhat.com>
- change initscript so it never tries to load usb controller modules, just
synthesize events

* Wed Feb 14 2001 Trond Eivind Glomsrxd <teg@redhat.com>
- sanitize initscript, so it matches the others
Comment 5 Brock Organ 2002-05-15 10:03:18 EDT
I've received an email from Colin indicating things are now working for him. :)
Comment 6 Trond Eivind Glomsrxd 2002-05-15 11:29:01 EDT
I removed the reference to the initscript from the man page in hotplug-2002_04_01-4

Note You need to log in before you can comment on or make changes to this bug.